Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
eckcdsa.cpp File Reference
`#include <botan/eckcdsa.h>`
`#include <botan/internal/pk_ops_impl.h>`
`#include <botan/keypair.h>`
`#include <botan/reducer.h>`
`#include <botan/emsa.h>`
`#include <botan/hash.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

const PointGFp& m_base_point

Definition at line 70 of file eckcdsa.cpp.

Modular_Reducer m_mod_order

Definition at line 72 of file eckcdsa.cpp.

const BigInt& m_order

Definition at line 69 of file eckcdsa.cpp.

secure_vector<uint8_t> m_prefix

Definition at line 73 of file eckcdsa.cpp.

const PointGFp& m_public_point

Definition at line 142 of file eckcdsa.cpp.

const BigInt& m_x

Definition at line 71 of file eckcdsa.cpp.